<template>
    <section class="settings_main">
        <div class="p-3 w-100">
            <div class="settings_content_inr base_block">
                <div class="settings_panel p-3">
                    <div class="settings_panel_ttl">
                        <div class="txt">{{$store.state.locale.modes}}</div>
                        <button type="button" class="login_main_sign_btn bt" data-toggle="modal"
                                data-target="#modeModal" @click="modeActionType = 1"
                                v-if="can('settings_mode', 'Edit')">
                            {{$store.state.locale.addModes}}
                        </button>
                    </div>

                    <div class="settings_panel_cnt">
                        <div class="table-responsive settings_content_tb">
                            <table class="table table-striped table-hover">
                                <thead>
                                <tr>
                                    <th scope="col">Id</th>
                                    <th scope="col">{{$store.state.locale.modeName}}</th>
                                    <th scope="col">{{$store.state.locale.maxParkingCount}}</th>
                                    <th scope="col">{{$store.state.locale.maxParkingTime}}</th>
                                    <th scope="col">{{$store.state.locale.minOnlineOperators}}</th>
                                    <th scope="col" class="w-40" v-if="can('settings_mode', 'Edit')"></th>
                                </tr>
                                </thead>

                                <tbody>
                                <tr v-for="item in modeList">
                                    <td>{{ item.id }}</td>
                                    <td>{{ item.name }}</td>
                                    <td>{{ item.maxParkingCount }}</td>
                                    <td>{{ item.maxParkingTimeLength }}</td>
                                    <td>{{ item.minOnlineOperators }}</td>
                                    <td v-if="can('settings_mode', 'Edit')">
                                        <div class="btn-group">
                                            <button type="button" class="icon-btn"
                                                    @click="ModeRead(item.id); modeActionType = 2">
                                                <i class="mdi mdi-pencil"></i>
                                            </button>
                                            <button type="button" class="icon-btn"
                                                    @click="ModeRead(item.id); modeActionType = 3">
                                                <i class="mdi mdi-delete text-danger"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>


            <div class="modal fade base_modal" id="modeModal">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <div class="base_modal_ttl">{{$store.state.locale.modes}}</div>
                        </div>

                        <div class="modal-body">
                            <div class="form-group">
                                <label class="base_label">{{$store.state.locale.modeName}}</label>
                                <input type="text" class="form-control base_input" placeholder="Name"
                                       v-model="modeModel.name" :disabled="modeActionType === 3">
                            </div>


                            <div class="form-group">
                                <label class="base_label">
                                    {{$store.state.locale.maxParkingCount}}
                                    <span class="dav_help_circle">
									<i class="mdi mdi-help-circle" title="Maximum number of breaks"></i>
								</span>
                                </label>
                                <select class="form-control base_input" v-model="modeModel.maxParkingCount"
                                        :disabled="modeActionType === 3">
                                    <option>1</option>
                                    <option>2</option>
                                    <option>3</option>
                                    <option>4</option>
                                    <option>5</option>
                                    <option>6</option>
                                    <option>7</option>
                                    <option>8</option>
                                    <option>9</option>
                                    <option>10</option>
                                    <option>11</option>
                                    <option>12</option>
                                    <option>13</option>
                                    <option>14</option>
                                    <option>15</option>
                                    <option>16</option>
                                    <option>17</option>
                                    <option>18</option>
                                    <option>19</option>
                                    <option>20</option>
                                </select>
                            </div>


                            <div class="form-group">
                                <label class="base_label">{{$store.state.locale.maxParkingTime}}</label>

                                <vue-timepicker
                                        class="settings_time_picker"
                                        :class="{disabled: modeActionType === 3}"
                                        v-model="timePickerValue"
                                        format="HH:mm:ss"
                                        :second-interval="10">
                                </vue-timepicker>
                            </div>


                            <div class="form-group">
                                <label class="base_label">Min online operators</label>
                                <select class="form-control base_input" v-model="modeModel.minOnlineOperators"
                                        :disabled="modeActionType === 3">
                                    <option>1</option>
                                    <option>2</option>
                                    <option>3</option>
                                    <option>4</option>
                                    <option>5</option>
                                    <option>6</option>
                                    <option>7</option>
                                    <option>8</option>
                                    <option>9</option>
                                    <option>10</option>
                                    <option>11</option>
                                    <option>12</option>
                                    <option>13</option>
                                    <option>14</option>
                                    <option>15</option>
                                    <option>16</option>
                                    <option>17</option>
                                    <option>18</option>
                                    <option>19</option>
                                    <option>20</option>
                                </select>
                            </div>
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="login_main_sign_btn base_modal_btn" v-if="modeActionType === 1"
                                    @click="ModeCreate">{{$store.state.locale.add}}
                            </button>
                            <button type="button" class="login_main_sign_btn base_modal_btn success"
                                    v-if="modeActionType === 2" @click="ModeUpdate">{{$store.state.locale.update}}
                            </button>
                            <button type="button" class="login_main_sign_btn base_modal_btn danger"
                                    v-if="modeActionType === 3" @click="ModeDelete">{{$store.state.locale.delete}}
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</template>

<style></style>

<script src="./script.js"></script>